# eric6.Plugins.VcsPlugins.vcsMercurial.HgBundleDialog

Module implementing a dialog to enter the data for a bundle operation.

### Global Attributes

None

### Classes

HgBundleDialog | Class implementing a dialog to enter the data for a bundle operation.

### Functions

None

## HgBundleDialog

Class implementing a dialog to enter the data for a bundle operation.

### Derived from

QDialog, Ui_HgBundleDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgBundleDialog | Constructor
__updateOK | Private slot to update the OK button.
getParameters | Public method to retrieve the bundle data.
on_bookmarkButton_toggled | Private slot to handle changes of the Bookmark select button.
on_bookmarkCombo_editTextChanged | Private slot to handle changes of the Bookmark combo.
on_branchButton_toggled | Private slot to handle changes of the Branch select button.
on_branchCombo_editTextChanged | Private slot to handle changes of the Branch combo.
on_multipleButton_toggled | Private slot to handle changes of the Multiple select button.
on_multipleEdit_textChanged | Private slot to handle changes of the Multiple edit.
on_tagButton_toggled | Private slot to handle changes of the Tag select button.
on_tagCombo_editTextChanged | Private slot to handle changes of the Tag combo.

### Static Methods

None

#### HgBundleDialog (Constructor)

HgBundleDialog(tagsList, branchesList, bookmarksList=None, parent=None)

Constructor

tagsList
  list of tags (list of strings)
branchesList
  list of branches (list of strings)
bookmarksList
  list of bookmarks (list of strings)
parent
  parent widget (QWidget)

#### HgBundleDialog.__updateOK

__updateOK()

Private slot to update the OK button.

#### HgBundleDialog.getParameters

getParameters()

Public method to retrieve the bundle data.

Returns:
  tuple naming the revisions, base revisions, the compression type and a flag indicating to bundle all changesets (string, string, boolean)

#### HgBundleDialog.on_bookmarkButton_toggled

on_bookmarkButton_toggled(checked)

Private slot to handle changes of the Bookmark select button.

checked
  state of the button (boolean)

#### HgBundleDialog.on_bookmarkCombo_editTextChanged

on_bookmarkCombo_editTextChanged(txt)

Private slot to handle changes of the Bookmark combo.

txt
  text of the combo (string)

#### HgBundleDialog.on_branchButton_toggled

on_branchButton_toggled(checked)

Private slot to handle changes of the Branch select button.

checked
  state of the button (boolean)

#### HgBundleDialog.on_branchCombo_editTextChanged

on_branchCombo_editTextChanged(txt)

Private slot to handle changes of the Branch combo.

txt
  text of the combo (string)

#### HgBundleDialog.on_multipleButton_toggled

on_multipleButton_toggled(checked)

Private slot to handle changes of the Multiple select button.

checked
  state of the button (boolean)

#### HgBundleDialog.on_multipleEdit_textChanged

on_multipleEdit_textChanged()

Private slot to handle changes of the Multiple edit.

#### HgBundleDialog.on_tagButton_toggled

on_tagButton_toggled(checked)

Private slot to handle changes of the Tag select button.

checked
  state of the button (boolean)

#### HgBundleDialog.on_tagCombo_editTextChanged

on_tagCombo_editTextChanged(txt)

Private slot to handle changes of the Tag combo.

txt
  text of the combo (string)

Up